Index: trunk/ArchTOIPipe/ProcWSophya/toi2map.cc
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/toi2map.cc	(revision 1804)
+++ trunk/ArchTOIPipe/ProcWSophya/toi2map.cc	(revision 1805)
@@ -3,5 +3,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toi2map.cc,v 1.20 2001-11-30 21:07:16 aubourg Exp $
+// $Id: toi2map.cc,v 1.21 2001-11-30 21:08:36 aubourg Exp $
 
 #include "machdefs.h"
@@ -9,5 +9,5 @@
 #include "pexceptions.h"
 #include "ctimer.h"
-#include "toi2gmap.h"
+#include "toigmap.h"
 
 ////////////////////////////////////////////////////////////////////////
Index: trunk/ArchTOIPipe/ProcWSophya/toi2map.h
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/toi2map.h	(revision 1804)
+++ trunk/ArchTOIPipe/ProcWSophya/toi2map.h	(revision 1805)
@@ -5,21 +5,22 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toi2map.h,v 1.11 2001-11-27 12:12:12 aubourg Exp $
+// $Id: toi2map.h,v 1.12 2001-11-30 21:07:16 aubourg Exp $
 
-#ifndef TOI2MAP_H
-#define TOI2MAP_H
+#ifndef TOI2GMAP_H
+#define TOI2GMAP_H
 
 #include "toiprocessor.h"
 #include "toiprocessor.h"
 #include "spherehealpix.h"
+#include "localmap.h"
 #include "flagtoidef.h"
 #include "xastropack.h"
 
-//-- Un projecteur de TOI sur une sphere Healpix
+//-- Un projecteur de TOI sur une carte quelconque
 // Lecture de 3 TOI coord1,coord2,boloMuV
-// Sortie pas de TOI, une (2) sphere(s) Healpix
+// Sortie pas de TOI, une (2) cartes
 //
 // Structure generale :
-//                          |---->Sphere
+//                          |---->Carte
 //                          |
 //                     -----------
@@ -34,8 +35,8 @@
 // Si les CoordIn et les CoordOut sont equatoriales -> meme equinoxe!
 
-class TOI2Map : public TOIProcessor {
+class TOI2GMap : public TOIProcessor {
 public:
-                 TOI2Map(SphereHEALPix<r_8>* sph,SphereHEALPix<r_8>* wsph=NULL);
-  virtual	~TOI2Map();
+                 TOI2GMap(PixelMap<r_8>* map,PixelMap<r_8>* wmap=NULL);
+  virtual	~TOI2GMap();
 
   virtual void	init(void);
@@ -65,7 +66,7 @@
   void SetIsColat(bool b=true) {mIsColat=b;} // latitude is a colatitude, 0-Pi
 protected:
-  SphereHEALPix<r_8>* mSph;
-  SphereHEALPix<r_8>* mWSph;
-  bool mWSphInternal;
+  PixelMap<r_8>* mMap;
+  PixelMap<r_8>* mWMap;
+  bool mWMapInternal;
 
   TypAstroCoord mTypCoorIn, mTypCoorOut;
Index: trunk/ArchTOIPipe/TestPipes/quickmap.cc
===================================================================
--- trunk/ArchTOIPipe/TestPipes/quickmap.cc	(revision 1804)
+++ trunk/ArchTOIPipe/TestPipes/quickmap.cc	(revision 1805)
@@ -1,5 +1,5 @@
 // GPH 424.1   Planck HFI-L2 Simple Map Making
 // Eric Aubourg     CEA/DAPNIA/SPP
-// $Id: quickmap.cc,v 1.1 2001-11-29 18:19:32 aubourg Exp $
+// $Id: quickmap.cc,v 1.2 2001-11-30 21:08:36 aubourg Exp $
 
 #include <stdlib.h>
@@ -13,5 +13,5 @@
 
 #include "sambainit.h"
-#include "toi2gmap.h"
+#include "toi2map.h"
 #include "fitsspherehealpix.h"
 #include "localmap.h"
Index: trunk/ArchTOIPipe/TestPipes/quickmap_p.cc
===================================================================
--- trunk/ArchTOIPipe/TestPipes/quickmap_p.cc	(revision 1804)
+++ trunk/ArchTOIPipe/TestPipes/quickmap_p.cc	(revision 1805)
@@ -1,5 +1,5 @@
 // GPH 424.1   Planck HFI-L2 Simple Map Making
 // Eric Aubourg     CEA/DAPNIA/SPP
-// $Id: quickmap_p.cc,v 1.2 2001-11-30 15:02:04 aubourg Exp $
+// $Id: quickmap_p.cc,v 1.3 2001-11-30 21:08:36 aubourg Exp $
 
 #include <stdlib.h>
@@ -13,5 +13,5 @@
 
 #include "sambainit.h"
-#include "toi2gmap.h"
+#include "toigmap.h"
 #include "fitsspherehealpix.h"
 #include "localmap.h"
Index: trunk/ArchTOIPipe/files_sophya
===================================================================
--- trunk/ArchTOIPipe/files_sophya	(revision 1804)
+++ trunk/ArchTOIPipe/files_sophya	(revision 1805)
@@ -7,6 +7,4 @@
 toi2map.cc
 toi2map.h
-toi2gmap.cc
-toi2gmap.h
 flagtoidef.h
 ktoibad.h