Index: /trunk/ArchTOIPipe/ProcWSophya/toi2map.cc
===================================================================
--- /trunk/ArchTOIPipe/ProcWSophya/toi2map.cc	(revision 1805)
+++ /trunk/ArchTOIPipe/ProcWSophya/toi2map.cc	(revision 1806)
@@ -3,5 +3,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toi2map.cc,v 1.21 2001-11-30 21:08:36 aubourg Exp $
+// $Id: toi2map.cc,v 1.22 2001-12-01 13:34:08 aubourg Exp $
 
 #include "machdefs.h"
@@ -12,5 +12,5 @@
 
 ////////////////////////////////////////////////////////////////////////
-TOI2GMap::TOI2GMap(PixelMap<r_8>* map,PixelMap<r_8>* wmap)
+TOI2Map::TOI2Map(PixelMap<r_8>* map,PixelMap<r_8>* wmap)
   : mMap(map), mWMap(map), mWMapInternal(false)
 {
@@ -25,7 +25,7 @@
 
  if(mMap->NbPixels()<1) {
-  cout<<"TOI2GMap::TOI2GMap() Bad number of pixels in sphere mMap "
+  cout<<"TOI2Map::TOI2Map() Bad number of pixels in sphere mMap "
       <<mMap->NbPixels()<<endl;
-  throw ParmError("TOI2GMap::TOI2GMap() - Bad number of pixels in sphere");
+  throw ParmError("TOI2Map::TOI2Map() - Bad number of pixels in sphere");
  }
  mMap->SetPixels(0.);
@@ -40,6 +40,6 @@
      mWMap = new SphereHEALPix<r_8>(nlat);
    } else {
-     cout << "TOI2GMap::TOI2GMap() cannot handle map of type " << typmap << endl;
-     throw ParmError("TOI2GMap::TOI2GMap() - bad type of map");
+     cout << "TOI2Map::TOI2Map() cannot handle map of type " << typmap << endl;
+     throw ParmError("TOI2Map::TOI2Map() - bad type of map");
    }
    mWMapInternal = true;
@@ -47,18 +47,18 @@
    mWMapInternal = false;
    if(nlat != mWMap->SizeIndex()) {
-     cout << "TOI2GMap::TOI2GMap() Bad size for sphere mWMap, does not "
+     cout << "TOI2Map::TOI2Map() Bad size for sphere mWMap, does not "
 	  << "correspond to mMap : " << mMap->SizeIndex() << ", " << mWMap->SizeIndex() << endl;
-     throw ParmError("TOI2GMap::TOI2GMap() - Different sizes for map and wmap");
+     throw ParmError("TOI2Map::TOI2Map() - Different sizes for map and wmap");
    }
  }
  if(mWMap->NbPixels()<1) {
-   cout<<"TOI2GMap::TOI2GMap() Bad number of pixels in sphere mWMap "
+   cout<<"TOI2Map::TOI2Map() Bad number of pixels in sphere mWMap "
        <<mWMap->NbPixels()<<endl;
-   throw ParmError("TOI2GMap::TOI2GMap() - Bad number of pixels in sphere");
+   throw ParmError("TOI2Map::TOI2Map() - Bad number of pixels in sphere");
  }
  mWMap->SetPixels(0);
 }
 
-TOI2GMap::~TOI2GMap()
+TOI2Map::~TOI2Map()
 {
  if(mWMap && mWMapInternal) delete mWMap;
@@ -66,7 +66,7 @@
 
 ////////////////////////////////////////////////////////////////////////
-void TOI2GMap::Print(::ostream & os)
-{
-  os<<"TOI2GMap::Print -- Map type " << mMap->TypeOfMap() << " SizeIndex = "<<mMap->SizeIndex()<<endl
+void TOI2Map::Print(::ostream & os)
+{
+  os<<"TOI2Map::Print -- Map type " << mMap->TypeOfMap() << " SizeIndex = "<<mMap->SizeIndex()<<endl
 
     <<"   - Equinoxe="<<mActualYear<<endl
@@ -90,6 +90,6 @@
 
 ////////////////////////////////////////////////////////////////////////
-void TOI2GMap::init() {
-  cout << "TOI2GMap::init" << endl;
+void TOI2Map::init() {
+  cout << "TOI2Map::init" << endl;
   declareInput("Coord1In");     // input index 0
   declareInput("Coord2In");     // input index 1
@@ -99,5 +99,5 @@
 ////////////////////////////////////////////////////////////////////////
 // define SANS_BUFFER
-void TOI2GMap::run()
+void TOI2Map::run()
 {
 long snb = getMinIn();
@@ -105,18 +105,18 @@
 
 if(snb>sne) {
-  cout<<"TOI2GMap::run() - Bad sample interval"<<snb<<" , "<<sne<<endl;
-  throw ParmError("TOI2GMap::run() - Bad sample interval");
+  cout<<"TOI2Map::run() - Bad sample interval"<<snb<<" , "<<sne<<endl;
+  throw ParmError("TOI2Map::run() - Bad sample interval");
 }
 if(!checkInputTOIIndex(0) || !checkInputTOIIndex(1) || !checkInputTOIIndex(2)) {
-  cout<<"TOI2GMap::run() - Input TOI (Coord1In or Coord2In or BoloIn) not connected! "<<endl;
-  throw ParmError("TOI2GMap::run() Output TOI (Coord1In or Coord2In or BoloIn) not connected!");
+  cout<<"TOI2Map::run() - Input TOI (Coord1In or Coord2In or BoloIn) not connected! "<<endl;
+  throw ParmError("TOI2Map::run() Output TOI (Coord1In or Coord2In or BoloIn) not connected!");
 }
 if( !(mTypCoorIn&TypCoordEq || mTypCoorIn&TypCoordGal) ) {
-  cout<<"TOI2GMap::run() - Input Coordinates not Eq or Gal! "<<endl;
-  throw ParmError("TOI2GMap::run() - Input Coordinates not Eq or Gal!");
+  cout<<"TOI2Map::run() - Input Coordinates not Eq or Gal! "<<endl;
+  throw ParmError("TOI2Map::run() - Input Coordinates not Eq or Gal!");
 }
 if( !(mTypCoorOut&TypCoordEq || mTypCoorOut&TypCoordGal) ) {
-  cout<<"TOI2GMap::run() - Output Coordinates not Eq or Gal! "<<endl;
-  throw ParmError("TOI2GMap::run() - Output Coordinates not Eq or Gal!");
+  cout<<"TOI2Map::run() - Output Coordinates not Eq or Gal! "<<endl;
+  throw ParmError("TOI2Map::run() - Output Coordinates not Eq or Gal!");
 }
 
@@ -130,5 +130,5 @@
 double mjd = MJDfrYear(mActualYear);
 
-cout<<"TOI2GMap::run() from "<<snb<<" to "<<sne;
+cout<<"TOI2Map::run() from "<<snb<<" to "<<sne;
 #ifndef SANS_BUFFER
 int bufsz = 100;
@@ -207,5 +207,5 @@
 }
 
- cout<<"TOI2GMap::run(): Fin de boucle sur les sampleNum"<<endl;
+ cout<<"TOI2Map::run(): Fin de boucle sur les sampleNum"<<endl;
 
 // Remplissage des spheres
@@ -220,5 +220,5 @@
  }
 
- cout<<"TOI2GMap::run(): mNpixTot="<<mMap->NbPixels()
+ cout<<"TOI2Map::run(): mNpixTot="<<mMap->NbPixels()
      <<"  mNpixFill="<<mNpixFill
      <<"  mNSnFill="<<mNSnFill<<endl
@@ -235,5 +235,5 @@
 //---------------------------------------------------------
 } catch (PException & exc) {
-  cout<<"TOI2GMap: Catched Exception "<<(string)typeid(exc).name()
+  cout<<"TOI2Map: Catched Exception "<<(string)typeid(exc).name()
       <<"\n .... Msg= "<<exc.Msg()<<endl;
 }