Index: /trunk/ArchTOIPipe/TestPipes/quickmap_p.cc
===================================================================
--- /trunk/ArchTOIPipe/TestPipes/quickmap_p.cc	(revision 1819)
+++ /trunk/ArchTOIPipe/TestPipes/quickmap_p.cc	(revision 1820)
@@ -1,5 +1,6 @@
 // GPH 424.1   Planck HFI-L2 Simple Map Making
+// Parallel version
 // Eric Aubourg     CEA/DAPNIA/SPP
-// $Id: quickmap_p.cc,v 1.3 2001-11-30 21:08:36 aubourg Exp $
+// $Id: quickmap_p.cc,v 1.4 2001-12-17 23:33:46 aubourg Exp $
 
 #include <stdlib.h>
@@ -13,5 +14,5 @@
 
 #include "sambainit.h"
-#include "toigmap.h"
+#include "toi2map.h"
 #include "fitsspherehealpix.h"
 #include "localmap.h"
@@ -28,5 +29,5 @@
 
 void usage(void) {
-  cerr << "usage: gph424_1gp xml_options_file" << endl;
+  cerr << "usage: gph424_1p xml_options_file" << endl;
   exit(-1);
 }
@@ -75,6 +76,11 @@
     cout << "  | | typcoord    " 
 	 <<  ((input.pointing.typcoord & TypCoordGal) ? "G" : "E") 
-	 <<  ((input.pointing.typcoord & TypCoordHD) ? "H" : 
-	      (input.pointing.typcoord & TypCoordDD) ? "D" : "R") << "\n";
+	 <<  ((input.pointing.typcoord & TypCoord1H) ? "H" : 
+	      (input.pointing.typcoord & TypCoord1D) ? "D" : "R") 
+	 <<  ((input.pointing.typcoord & TypCoord1C) ? "C" : "L")
+	 <<  ((input.pointing.typcoord & TypCoord2H) ? "H" : 
+	      (input.pointing.typcoord & TypCoord2D) ? "D" : "R") 
+	 <<  ((input.pointing.typcoord & TypCoord2C) ? "C" : "L")
+	 << "\n";
     cout << "  | signal\n";
     cout << "  | | fname       " << input.signal.fname << "\n";
@@ -85,6 +91,5 @@
     cout << "  | typcoord      " 
 	 <<  ((output.typcoord & TypCoordGal) ? "G" : "E") 
-	 <<  ((output.typcoord & TypCoordHD) ? "H" : 
-	      (input.pointing.typcoord & TypCoordDD) ? "D" : "R")  << "\n";
+	 <<  "\n";
     cout << "  | typmap        " << output.typmap << "\n";
     if (output.typmap == "healpix") {
@@ -186,14 +191,18 @@
   bool indd  = DOMHasOption(doc, "/input/pointing/degdeg");
   bool inrr  = DOMHasOption(doc, "/input/pointing/radian");
+  bool iscolat = DOMHasOption(doc, "/input/pointing/colat");
   if (inhd) {
-    prefs.input.pointing.typcoord |= TypCoordHD;
+    prefs.input.pointing.typcoord |= TypCoord1H|TypCoord2D;
   } else if (indd) {
-    prefs.input.pointing.typcoord |= TypCoordDD;
+    prefs.input.pointing.typcoord |= TypCoord1D|TypCoord2D;
   } else if (inrr) {
-    prefs.input.pointing.typcoord |= TypCoordRR;
+    prefs.input.pointing.typcoord |= TypCoord1R|TypCoord2R;
   } else if (prefs.input.pointing.typcoord & TypCoordEq) {
-    prefs.input.pointing.typcoord |= TypCoordHD;
+    prefs.input.pointing.typcoord = TypCoordEqStd;
   } else {
-    prefs.input.pointing.typcoord |= TypCoordDD;
+    prefs.input.pointing.typcoord = TypCoordGalStd;
+  }
+  if (iscolat) {
+    prefs.input.pointing.typcoord |= TypCoord2C;
   }
 
@@ -210,13 +219,13 @@
   bool outrr  = DOMHasOption(doc, "/output/radian");
   if (outhd) {
-    prefs.output.typcoord |= TypCoordHD;
+    prefs.output.typcoord |= TypCoord1H | TypCoord2D;
   } else if (outdd) {
-    prefs.output.typcoord |= TypCoordDD;
+    prefs.output.typcoord |= TypCoord1D | TypCoord2D;
   } else if (outrr) {
-    prefs.output.typcoord |= TypCoordRR;
+    prefs.output.typcoord |= TypCoord1R | TypCoord2R;
   } else if (prefs.output.typcoord & TypCoordEq) {
-    prefs.output.typcoord |= TypCoordHD;
+    prefs.output.typcoord = TypCoordEqStd;
   } else {
-    prefs.output.typcoord |= TypCoordDD;
+    prefs.output.typcoord |= TypCoordGalStd;
   } 
 
@@ -293,10 +302,10 @@
   // One map projector per data chunk
 
-  vector<TOI2GMap*> toi2m;
+  vector<TOI2Map*> toi2m;
   {for (int i=0; i<np; i++) {
-    toi2m.push_back(new TOI2GMap(map[i],wmap[i]));
+    toi2m.push_back(new TOI2Map(map[i],wmap[i]));
     toi2m[i]->SetEquinox(2000.);
     toi2m[i]->SetCoorIn((TypAstroCoord) prefs.input.pointing.typcoord);
-    toi2m[i]->SetCoorOut((TypAstroCoord) prefs.output.typcoord);
+    toi2m[i]->SetCoorMap((TypAstroCoord) prefs.output.typcoord);
   }}
 